import { FileData, FileMap, ProjectGraph } from '../../config/project-graph';
import { FileMapCache } from '../../project-graph/nx-deps-cache';
import { NxWorkspaceFilesExternals } from '../../native';
export declare let fileMapWithFiles: {
    fileMap: FileMap;
    allWorkspaceFiles: FileData[];
    rustReferences: NxWorkspaceFilesExternals;
} | undefined;
export declare let currentProjectFileMapCache: FileMapCache | undefined;
export declare let currentProjectGraph: ProjectGraph | undefined;
export declare function getCachedSerializedProjectGraphPromise(): Promise<{
    error: Error;
    projectGraph: ProjectGraph;
    fileMap: FileMap;
    allWorkspaceFiles: FileData[];
    serializedProjectGraph: string;
    rustReferences: NxWorkspaceFilesExternals;
} | {
    error: any;
    serializedProjectGraph: any;
    projectGraph: any;
    fileMap: any;
    allWorkspaceFiles: any;
    rustReferences: any;
}>;
export declare function addUpdatedAndDeletedFiles(createdFiles: string[], updatedFiles: string[], deletedFiles: string[]): void;
