import type { NxWorkspaceFilesExternals } from '../native';
export declare function setupWorkspaceContext(workspaceRoot: string): void;
export declare function getNxWorkspaceFilesFromContext(workspaceRoot: string, globs: string[], parseConfigurations: (files: string[]) => Promise<Record<string, string>>): Promise<import("../native").NxWorkspaceFiles>;
export declare function globWithWorkspaceContext(workspaceRoot: string, globs: string[], exclude?: string[]): string[];
export declare function hashWithWorkspaceContext(workspaceRoot: string, globs: string[], exclude?: string[]): string;
export declare function getProjectConfigurationsFromContext(workspaceRoot: string, globs: string[], parseConfigurations: (files: string[]) => Promise<Record<string, string>>): Promise<Record<string, string>>;
export declare function updateFilesInContext(updatedFiles: string[], deletedFiles: string[]): Record<string, string>;
export declare function getAllFileDataInContext(workspaceRoot: string): import("../native").FileData[];
export declare function updateProjectFiles(projectRootMappings: Record<string, string>, rustReferences: NxWorkspaceFilesExternals, updatedFiles: Record<string, string>, deletedFiles: string[]): import("../native").UpdatedWorkspaceFiles;
export declare function resetWorkspaceContext(): void;
